%define name    pyzor
%define version 0.4.0
%define release 3mdk

%define summary Pyzor is a collaborative system to detect and block spam.

%define	python_ver	2.3

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Networking/Mail
URL:            http://pyzor.sourceforge.net/
Source0:        %name-%version.tar.bz2
Patch0:			%name-python_path.patch.bz2
Patch1:			%name-handle_digest_is_none.patch.bz2
Patch2:			%name-handle_unknown_encoding.patch.bz2

BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:	python-devel
Requires:		python

%description
Pyzor is a collaborative, networked system to detect and block spam using
identifying digests of messages.

Pyzor initially started out to be merely a Python implementation of Razor, but
due to the protocol and the fact that Razor's server is not Open Source or
software libre, I decided to impelement Pyzor with a new protocol and release
the entire system as Open Source and software libre.

Since the entire system is released under the GPL, people are free to host
their own independent servers. Server peering is planned for a future release.

%prep
%setup -q
%patch0 -p0 -b .pyzor-python_patch.patch
%patch1 -p0 -b .pyzor-handle_digest_is_none.patch
%patch2 -p0 -b .pyzor-handle_unknown_encoding.patch

%build
%__python setup.py build

%install
rm -rf %buildroot
%__python setup.py install --root=%buildroot

# unwanted file in document dir. we packaged it in files section
rm %buildroot/%_defaultdocdir/%name/usage.html

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc COPYING README INSTALL ChangeLog THANKS NEWS UPGRADING
%doc docs/usage.html
%dir %_libdir/python%{python_ver}/site-packages/%{name}
%_libdir/python%{python_ver}/site-packages/%{name}/*
%defattr(755,root,root)
%_bindir/*

%changelog
* Mon Sep 15 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.4.0-3mdk
- applied patches from home page of pyzor (thanks to Chris Garrigues)

* Mon Aug 11 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4.0-2mdk
- rebuild for new python

* Thu May 9 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.4.0-1mdk
- initial MDK contrib import - let's make spamassassin more powerful
- create patch to disable requires /usr/bin/python2 (thanks vdanen)

